# Class MailboxItem

#### Hierarchy

- unknown
  - MailboxItem

- Defined in src/protobuf/pb_pb.d.ts:2189
- Defined in src/protobuf/pb_pb.d.ts:2208

#####
Index

### Constructors

constructor

### Methods

clearDecryptedMessageWithPubKey
clearProtectedMailboxStorageEntry
getDecryptedMessageWithPubKey
getProtectedMailboxStorageEntry
hasDecryptedMessageWithPubKey
hasProtectedMailboxStorageEntry
serializeBinary
setDecryptedMessageWithPubKey
setProtectedMailboxStorageEntry
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MailboxItem(): MailboxItem

- #### Returns MailboxItem

  Inherited from jspb.Message.constructor

## Methods

### clearDecryptedMessageWithPubKey

- clearDecryptedMessageWithPubKey(): MailboxItem

- #### Returns MailboxItem

  - Defined in src/protobuf/pb_pb.d.ts:2198

### clearProtectedMailboxStorageEntry

- clearProtectedMailboxStorageEntry(): MailboxItem

- #### Returns MailboxItem

  - Defined in src/protobuf/pb_pb.d.ts:2193

### getDecryptedMessageWithPubKey

- getDecryptedMessageWithPubKey(): undefined | DecryptedMessageWithPubKey

- #### Returns undefined | DecryptedMessageWithPubKey

  - Defined in src/protobuf/pb_pb.d.ts:2195

### getProtectedMailboxStorageEntry

- getProtectedMailboxStorageEntry(): undefined | ProtectedMailboxStorageEntry

- #### Returns undefined | ProtectedMailboxStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2190

### hasDecryptedMessageWithPubKey

- hasDecryptedMessageWithPubKey(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2197

### hasProtectedMailboxStorageEntry

- hasProtectedMailboxStorageEntry(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2192

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2200

### setDecryptedMessageWithPubKey

- setDecryptedMessageWithPubKey(value?: DecryptedMessageWithPubKey): MailboxItem

- #### Parameters

  - ##### `Optional` value: DecryptedMessageWithPubKey

  #### Returns MailboxItem

  - Defined in src/protobuf/pb_pb.d.ts:2196

### setProtectedMailboxStorageEntry

- setProtectedMailboxStorageEntry(value?: ProtectedMailboxStorageEntry): MailboxItem

- #### Parameters

  - ##### `Optional` value: ProtectedMailboxStorageEntry

  #### Returns MailboxItem

  - Defined in src/protobuf/pb_pb.d.ts:2191

### toObject

- toObject(includeInstance?: boolean): MailboxItem.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MailboxItem.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2201

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MailboxItem

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MailboxItem

  - Defined in src/protobuf/pb_pb.d.ts:2204

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MailboxItem, reader: BinaryReader): MailboxItem

- #### Parameters

  - ##### message: MailboxItem

  - ##### reader: BinaryReader

  #### Returns MailboxItem

  - Defined in src/protobuf/pb_pb.d.ts:2205

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MailboxItem, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MailboxItem

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2203

### `Static` toObject

- toObject(includeInstance: boolean, msg: MailboxItem): MailboxItem.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MailboxItem

  #### Returns MailboxItem.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2202

Generated using TypeDoc